Name:           embryo
Version:        1.7.4
Release:        2%{?dist}
License:        BSD
Summary:        Small Pawn based virtual machine and compiler
Url:            http://enlightenment.org/
Group:          System Environment/Libraries
Source:         http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig doxygen libeina-devel

%description
Small Pawn based virtual machine and compiler. 

%package devel
Summary:        Embryo headers, documentation and test programs
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       embryo = %{version}
Requires:       libeina-devel
Requires:       pkgconfig

%description devel
Headers, test programs and documentation for embryo.

%prep
%setup -q

%build
%configure --disable-static 

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}
cd doc
make doc %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete

# remove unfinished manpages
find doc/man/man3 -size -100c -delete
for l in todo %{name}.dox ; do
   rm -f doc/man/man3/$l.3
done 
chmod -x doc/html/*
mkdir -p %{buildroot}%{_mandir}/man3
install -Dpm0644 doc/man/man3/* %{buildroot}%{_mandir}/man3

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/embryo_cc
%{_libdir}/libembryo.so.1*
%{_datadir}/%{name}/

%files devel
%doc doc/html/*
%{_mandir}/man3/*
%{_includedir}/embryo-1/
%{_libdir}/libembryo.so
%{_datadir}/embryo/
%{_libdir}/pkgconfig/embryo.pc

%changelog
* Sun Dec 30 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.4-2
- add libeina-devel as BR.  Fixed find command to be concise 

* Fri Dec 28 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.4-1
- initial spec. some changes from Terje Rosten <terje.rosten@ntnu.no> 

